#include <bits/stdc++.h>
using namespace std;

#define pb push_back

int n, k, x;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

    cin >> n >> k >> x;

    if(k < n){
        for(int i = 0; i < k; ++i){cout << 1 << " ";}
        cout << x + 1 << " ";
        for(int i = k + 1; i < n; ++i){cout << x << " ";}
        cout << "\n";
    }
    else if(k == 3){
        if(n < 3){
            cout << -1 << "\n";
        }
        else if(n == 3){
            cout << 1 << " " << x + 1 << " " << 2 * x + 1 << "\n";
        }
    }
    else if(k == n){
        cout << 1 << " ";
        for(int i = 1; i < n - 2; ++i){
            cout << 2 << " ";
        }
        cout << x + 1 << " " << 2 * x + 1 << "\n";
    }
    else if(n * (n - 1) / 2 == k){
        int help = 1;
        for(int i = 0; i < n; ++i){
            cout << help << " ";
            help += x;
        }
        cout << "\n";
    }
    else{
        for(int i = 0; i <= 1000; ++i){
            for(int j = 1; j <= n - i; ++j){
                if(i * j == k){
                    for(int l = 0; l < i; ++l){
                        cout << 1 << " ";
                    }
                    for(int l = 0; l < j; ++l){
                        cout << x + 1 << " ";
                    }
                    for(int l = i + j; l < n; ++l){
                        cout << x << " ";
                    }
                    cout << "\n";

                    return 0;
                }
            }
        }

        cout << -1 << "\n";
    }

    return 0;
}